> For the complete documentation index, see [llms.txt](https://cortex-docs.paloaltonetworks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cortex-docs.paloaltonetworks.com/xsoar-6-administrator-guide/6.12/reference-docs/reference/server-configurations/proxy-server-configurations.md).

# Proxy Server Configurations

Reference proxy server configurations in Cortex XSOAR 6.12.

| Key                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                | Default    |
| ----------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- |
| **`http_proxy`**                    | <p>Environment uses http proxy. Special characters must be escaped. <strong><code>[http://user:password@prox-server:port#](https://cortex-docs.paloaltonetworks.com/xsoar-6-administrator-guide/6.12/reference-docs/reference/server-configurations/http:/user:password@prox-server:port#)</code></strong></p><p>For example, <strong><code><http://user:password@prox-server:3128></code></strong></p>    | N/a        |
| **`https_proxy`**                   | <p>Environment uses http proxy. Special characters must be escaped. <strong><code>[https://user:password@prox-server:port#](https://cortex-docs.paloaltonetworks.com/xsoar-6-administrator-guide/6.12/reference-docs/reference/server-configurations/https:/user:password@prox-server:port#)</code></strong></p><p>For example, <strong><code><https://user:password@prox-server:3128></code></strong></p> | N/a        |
| **`host.proxy`**                    | (Multi-tenant) Set to true if host uses proxy to connect to the main account.                                                                                                                                                                                                                                                                                                                              | **`true`** |
| **`accounts.http.proxy`**           | (Multi-tenant) Set to false to prevents communication from main account to tenants from going through proxy.                                                                                                                                                                                                                                                                                               | **`true`** |
| **`accounts.http.websocket.proxy`** | (Multi-tenant) Set to false to prevents main account from using proxy for websockets forwarding to tenants.                                                                                                                                                                                                                                                                                                | **`true`** |
| **`no_proxy`**                      | A comma-separated list of proxy settings to bypass. **`http://user:password@prox-server:port#,http:/user:password@prox-server:port#`**                                                                                                                                                                                                                                                                     | N/a        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://cortex-docs.paloaltonetworks.com/xsoar-6-administrator-guide/6.12/reference-docs/reference/server-configurations/proxy-server-configurations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
